import { GeolocationPlugin, ClearWatchOptions as CapacitorClearWatchOptions } from "@capacitor/geolocation";
import { GeolocationDecorator } from "./create-geolocation-decorator.js";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
export declare function clearWatch<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: ClearWatchOptions): ClearWatchResult;
export type ClearWatchOptions = CapacitorClearWatchOptions;
export type ClearWatchResult = ReturnType<GeolocationPlugin["clearWatch"]>;
