import { GeolocationDecorator } from "./create-geolocation-decorator.js";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { Position } from "@capacitor/geolocation";
export declare function insertPosition<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: InsertPositionOptions): InsertPositionResult;
export type InsertPositionOptions = {
    position: Position | null;
    containerLinkId?: number;
    id?: number;
};
export type InsertPositionResult = ReturnType<DeepClientInstance["serial"]>;
