import { Position } from "@capacitor/geolocation";
import { DeepClientInstance, SerialOperation } from "@deep-foundation/deeplinks/imports/client.js";
import { GeolocationDecorator } from "./create-geolocation-decorator.js";
export declare function makePositionValueUpdateOperations<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: MakePositionUpdateOperationsOptions): MakePositionUpdateOperationsResult;
export type MakePositionUpdateOperationsOptions = {
    position: Position | null;
    id: number;
};
export type MakePositionUpdateOperationsResult = Promise<Array<SerialOperation>>;
