import { Geolocation } from "@capacitor/geolocation";
export async function watchPosition(options) {
    const { containerLinkId, watchPositionOptions = {} } = options;
    return await Geolocation.watchPosition(watchPositionOptions, async (position, error) => {
        if (error) {
            throw error;
        }
        await this.insertPosition({ position, containerLinkId });
    });
}
