import { GeolocationDecorator } from "./create-geolocation-decorator.js";
import { Position } from "@capacitor/geolocation";
import { DeepClientInstance, SerialOperation } from "@deep-foundation/deeplinks/imports/client.js";
export declare function makePositionInsertOperations<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: MakePositionInsertOperationsOptions): MakePositionInsertOperationsResult;
export type MakePositionInsertOperationsOptions = {
    position: Position | null;
    containerLinkId?: number;
    id?: number;
};
export type MakePositionInsertOperationsResult = Promise<Array<SerialOperation>>;
